# Class yii\twig\GetAttrAdjuster

Inheritance | yii\twig\GetAttrAdjuster
Implements | Twig\NodeVisitor\NodeVisitorInterface
Source Code | https://github.com/yiisoft/yii2-twig/blob/master/GetAttrAdjuster.php

GetAttrAdjuster swaps Twig_Node_Expression_GetAttr nodes with yii\twig\GetAttr nodes.

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
enterNode() |  | yii\twig\GetAttrAdjuster
getPriority() |  | yii\twig\GetAttrAdjuster
leaveNode() |  | yii\twig\GetAttrAdjuster

## Method Details

enterNode() public method

public void enterNode ( \Twig\Node\Node $node, \Twig\Environment $env )
$node |  |
$env |  |

getPriority() public method

public void getPriority ( )

leaveNode() public method

public void leaveNode ( \Twig\Node\Node $node, \Twig\Environment $env )
$node |  |
$env |  |